Subject: bug#24718: 25.1; (auth-source-search) fails in 25.1.1 for OSX

From: Alexey Veretennikov <[email-masked]>
Date: Wed, 19 Oct 2016 00:14:50 +0200

Hi,

I've found rather strange solution/workaround.
I've used gpg version 2.0.xx, which worked for me for 25.0.50 I believe.
But for 25.1 I had to upgrade gpg to 2.1.15. Now everything seems to work.

Ted Zlatanov <[email-masked]> writes:

> On Mon, 17 Oct 2016 20:30:25 +0200 Alexey Veretennikov
> <[email-masked]> wrote:
>
> AV> Emacs for OSX installed from http://emacsformacosx.com/
> AV> Perform in *scratch* buffer
> AV> (require 'auth-source)
> AV> auth-source
> AV> (auth-source-search)
> AV> <= here the error Debugger entered--Lisp error: (epg-error "no usable
> AV> configuration" OpenPGP) occurs
> AV> See screenshot attached.
>
> I don't have access to that platform, but there are two easy things you
> can do to help us locate the problem:
>
> 1) open any .gpg file directly. Does that fail with the same message?
>
> 2) set auth-sources to ~/.authinfo and put some lines in that file. Does
> that work?
>
> If (1) fails and (2) works, the problem is in EPA/EPG or its
> configuration, and not auth-source. You can use (2) as a workaround
> until this issue is resolved.
>
> Thanks
> Ted

-- 
Br,
/Alexey